package com.yiqi.core.service.impl;

import java.util.List;
import com.yiqi.common.utils.DateUtils;
import com.yiqi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yiqi.core.mapper.ClothWashProblemMapper;
import com.yiqi.core.domain.ClothWashProblem;
import com.yiqi.core.service.IClothWashProblemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 洗衣问题Service业务层处理
 *
 * @author xiaohei
 * @date 2023-11-16
 */
@Service
public class ClothWashProblemServiceImpl extends ServiceImpl<ClothWashProblemMapper,ClothWashProblem> implements IClothWashProblemService {

    //<editor-folder desc="基础韩素">
    /**
     * 查询洗衣问题
     *
     * @param id 洗衣问题主键
     * @return 洗衣问题
     */
    @Override
    public ClothWashProblem selectClothWashProblemById(Long id) {
        return baseMapper.selectClothWashProblemById(id);
    }

    /**
     * 查询洗衣问题列表
     *
     * @param clothWashProblem 洗衣问题
     * @return 洗衣问题
     */
    @Override
    public List<ClothWashProblem> selectClothWashProblemList(ClothWashProblem clothWashProblem) {
        return baseMapper.selectClothWashProblemList(clothWashProblem);
    }

    /**
     * 新增洗衣问题
     *
     * @param clothWashProblem 洗衣问题
     * @return 结果
     */
    @Override
    public int insertClothWashProblem(ClothWashProblem clothWashProblem) {
        clothWashProblem.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertClothWashProblem(clothWashProblem);
    }

    /**
     * 修改洗衣问题
     *
     * @param clothWashProblem 洗衣问题
     * @return 结果
     */
    @Override
    public int updateClothWashProblem(ClothWashProblem clothWashProblem) {
        clothWashProblem.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateClothWashProblem(clothWashProblem);
    }

    /**
     * 批量删除洗衣问题
     *
     * @param ids 需要删除的洗衣问题主键
     * @return 结果
     */
    @Override
    public int deleteClothWashProblemByIds(Long[] ids) {
        return baseMapper.deleteClothWashProblemByIds(ids);
    }

    /**
     * 删除洗衣问题信息
     *
     * @param id 洗衣问题主键
     * @return 结果
     */
    @Override
    public int deleteClothWashProblemById(Long id) {
        return baseMapper.deleteClothWashProblemById(id);
    }


    //</editor-folder>

}
